set echo on

DELETE FROM purchaseorder
  WHERE existsNode(OBJECT_VALUE,
                   '/PurchaseOrder[Reference="SBELL-2002100912333601PDT-V2"]')
        = 1;

commit
/
        
begin
  dbms_xmlschema.CopyEvolve
  (
     xdb$string_list_t('http://localhost:8080/source/schemas/poSource/xsd/purchaseOrder.xsd'),
     XMLSequenceType(xdburitype('/home/OE/purchaseOrder.xsd').getXML()),
     XMLSequenceType(xdburitype('/home/OE/restore.xsl').getXML())
  );     
end;                                                       
/

